From f70334d1fbf7ca1d2a87b600150f15bc36c690aa Mon Sep 17 00:00:00 2001
From: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Date: Thu, 5 Jan 2017 22:29:46 +0100
Subject: [PATCH] Fix xdotool type in passmenu

Since xdotool version 3.20160805.1, xdotool type errors with:

"There are no windows on the stack, Can't continue.".

Adding getactivewindow fixes this. This is backward compatible to at
least xdotool 3.20160512.1.
---
 contrib/dmenu/passmenu | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/dmenu/passmenu b/contrib/dmenu/passmenu
index 7a9c517..9d0945a 100755
--- a/contrib/dmenu/passmenu
+++ b/contrib/dmenu/passmenu
@@ -21,5 +21,5 @@ if [[ $typeit -eq 0 ]]; then
 	pass show -c "$password" 2>/dev/null
 else
 	pass show "$password" | { read -r pass; printf %s "$pass"; } |
-		xdotool type --clearmodifiers --file -
+		xdotool getactivewindow type --clearmodifiers --file -
 fi
-- 
2.11.0

